package com.pj.ht_trade_settlement;

import com.pj.utils.sg.AjaxJson;
import com.pj.utils.so.SoMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RequestMapping("pc/settlement")
@RestController
public class PCController {
    @Resource
    private HtTradeSettlementService htTradeSettlementService;

    @RequestMapping("getList")
    public AjaxJson getList() {
        SoMap so = SoMap.getRequestSoMap();
        so.put("finishStatus","1");
        so.put("sortType","33");
        List<HtTradeSettlement> list = htTradeSettlementService.getList(so.startPage());
        return AjaxJson.getPageData(so.getDataCount(), list);
    }
}
